destinations_maps:
  namespace: "Organisms/TM - Destinations"
  use: "@organisms/tm-dest/maps/tm-dest-maps.html.twig"
  label: Maps
  description: Maps
  libraries:
    - destinations_maps_lib:
        js:
          ../behaviors/tm-dest-maps.js: { }
        css:
          component:
            ../styles/tm-dest-maps.css: { }

  fields:
    destination_map:
      type: pattern
      label: Destination map
      preview:
        id: leaflet
    stations:
      type: object
      label: stations
      preview:
        -
          title: Station A
          addr: "Street name<br>City<br>County"
          url: '/somewhere'
          map: 'Station A MAP'
          id: 'st-a'
        -
          title: Station B
          addr: "Street name<br>City<br>County"
          url: '/somewhere'
          map: 'Station B MAP'
          id: 'st-b'
